Package net.shibboleth.idp.authn.impl

# Class PopulateMultiFactorAuthenticationContext.DefaultResultLookupStrategy

java.lang.Object
net.shibboleth.idp.authn.impl.PopulateMultiFactorAuthenticationContext.DefaultResultLookupStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,Collection<AuthenticationResult>>`

Enclosing class:
  PopulateMultiFactorAuthenticationContext

private final class PopulateMultiFactorAuthenticationContext.DefaultResultLookupStrategy extends Object implements Function<ProfileRequestContext,Collection<AuthenticationResult>>
Default strategy function to extract embedded `AuthenticationResult`s from inside the `AuthenticationResultPrincipal` collection of an active `AuthenticationResult` of the currently executing flow.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`DefaultResultLookupStrategy()`

## Method Summary

Modifier and Type
Method
Description
`Collection<AuthenticationResult>`
`apply(ProfileRequestContext input)`
`(package private) void`
`processActiveResult(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext, Collection<AuthenticationResult> results, AuthenticationResult candidate)`
Check an active result for possible inclusion in the returned collection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### DefaultResultLookupStrategy

private DefaultResultLookupStrategy()

## Method Details

### apply

@Nullable public Collection<AuthenticationResult> apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Collection<AuthenticationResult>>`

### processActiveResult

void processActiveResult(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull AuthenticationContext authenticationContext, @Nonnull Collection<AuthenticationResult> results, @Nonnull AuthenticationResult candidate)
Check an active result for possible inclusion in the returned collection.

Parameters:
  `profileRequestContext` - current profile request context
  `authenticationContext` - current authentication context
  `results` - the collection to add to
  `candidate` - the result to evaluate